services:
  plex:
    image: lscr.io/linuxserver/plex:latest
    container_name: plex
    # network_mode: host
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              count: 1
              capabilities:
                - gpu
    ports:
      - 32400:32400/tcp
      - 3005:3005/tcp
      - 8324:8324/tcp
      - 32469:32469/tcp
      - 1900:1900/udp
      - 32410:32410/udp
      - 32412:32412/udp
      - 32413:32413/udp
      - 32414:32414/udp
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/New_York
      - VERSION=docker
      - PLEX_CLAIM=${PLEX_CLAIM}
      - NVIDIA_VISIBLE_DEVICES=all
      - NVIDIA_DRIVER_CAPABILITIES=compute,video,utility
      # - <path/to/transcode/temp>:/transcode
    volumes:
      - plex_data:/config
      - /mnt/share/media/movies_kids:/movies_kids
      - /mnt/share/media/movies:/movies
      - /mnt/share/media/anime:/anime
      - /mnt/share/media/babies:/babies
      - /mnt/share/media/books_narrated:/books_narrated
      - /mnt/share/media/audiobooks:/audiobooks
      - /mnt/share/media/tv:/tv
      - /mnt/share/media/youtube:/youtube
    restart: unless-stopped
volumes:
  plex_data: null
networks: {}
